## Struct template extract

boost::log::result_of::extract — A metafunction that allows to acquire the result of the value extraction.

## Synopsis

    // In header: <boost/log/attributes/value_extraction.hpp>

    template<typename T, typename TagT>
    struct extract {
      // types
      typedef value_ref< T, TagT > type;
    };

## Description

The metafunction results in a type that is in form of `value_ref< T, TagT >`.